import sys, subprocess, jumpy

if len(sys.argv) == 1:
	pms.addPlayer(
		name = 'vlc launcher',
		cmd = [sys.argv[0], '${filename}'],
		supported = 'f:3gp|3g2|aac|aac-he|ac3|adpcm|adts|aiff|alac|amr|ape|atrac|avi|bmp|cvid|cook|divx|dts|dtshd|dv|eac3|flac|flv|gif|h263|h264|h265|jpg|lpcm|mkv|gmc|gop|qpel|mjpeg|mlp|mov|mp3|mp4|mpa|mpc|mpeg1|mpeg2|mpegps|mpegts|ogg|opus|png|qdmc|ralf|rm|shn|sor|tiff|theora|truehd|tta|vc1|vorbis|vp6|vp7|vp8|vp9|wavpack|wav|webm|wma|wmv|und|cache|concat|crypto|data|file|ftp|gopher|hls|http|httpproxy|https|mmsh|mmst|pipe|rtp|srtp|subfile|tcp|tls|udp|udplite|unix|rtmp|rtmpe|rtmps|rtmpt|rtmpte|mms m:video/mpeg',
		desc = 'Play stuff in vlc.',
		priority = -1
	)

else:
	# launch and detach vlc
	subprocess.Popen(['C:\\Program Files (x86)\\VideoLAN\\VLC\\vlc.exe', sys.argv[1]], close_fds=True)
	pms.ok('Launched in VLC!')
